Package org.eclipse.emf.cdo.spi.common.model

## Interface InternalCDOPackageInfo

- All Superinterfaces:
    `org.eclipse.emf.common.notify.Adapter`, `org.eclipse.emf.common.notify.Adapter.Internal`, `CDOPackageInfo`, `java.lang.Comparable<CDOPackageInfo>`, `org.eclipse.emf.ecore.EPackage.Descriptor`

      public interface InternalCDOPackageInfo
      extends CDOPackageInfo, org.eclipse.emf.common.notify.Adapter.Internal

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `org.eclipse.emf.common.notify.Adapter.Internal`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InternalCDOPackageInfo` | `copy()` |
    `InternalCDOPackageUnit` | `getPackageUnit()` | Returns the package unit containing this package info.
    `void` | `read​(CDODataInput in)` |
    `void` | `setEPackage​(org.eclipse.emf.ecore.EPackage ePackage)` |
    `void` | `setPackageUnit​(InternalCDOPackageUnit packageUnit)` |
    `void` | `setPackageURI​(java.lang.String packageURI)` |
    `void` | `setParentURI​(java.lang.String parentURI)` |
    `void` | `write​(CDODataOutput out)` |

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

      `getTarget, isAdapterForType, notifyChanged, setTarget`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Adapter.Internal

      `unsetTarget`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.model.CDOPackageInfo

      `getEPackage, getPackageURI, getParentURI, isCorePackage, isResourcePackage, isSystemPackage, isTypePackage`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage.Descriptor

      `getEFactory, getEPackage`

- - ### Method Detail

    - #### getPackageUnit

          InternalCDOPackageUnit getPackageUnit()

      Description copied from interface: `CDOPackageInfo`
      Returns the package unit containing this package info.
      Specified by:
        `getPackageUnit` in interface `CDOPackageInfo`

    - #### setPackageUnit

          void setPackageUnit​(InternalCDOPackageUnit packageUnit)

    - #### setPackageURI

          void setPackageURI​(java.lang.String packageURI)

    - #### setParentURI

          void setParentURI​(java.lang.String parentURI)

    - #### setEPackage

          void setEPackage​(org.eclipse.emf.ecore.EPackage ePackage)

      Since:
        4.2

    - #### write

          void write​(CDODataOutput out)
              throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.0

    - #### read

          void read​(CDODataInput in)
             throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        3.0

    - #### copy

          InternalCDOPackageInfo copy()

      Since:
        4.4